=== debian/changelog ===
ros-galactic-nav2-recoveries (1.0.12-1focal) focal; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Carlos Orduno <carlos.a.orduno@intel.com>  Wed, 25 May 2022 19:15:11 -0000
