=== debian/control ===
Source: ros-galactic-nav2-recoveries
Section: misc
Priority: optional
Maintainer: Carlos Orduno <carlos.a.orduno@intel.com>
Build-Depends: debhelper (>= 9.0.0), ros-galactic-ament-cmake, ros-galactic-ament-cmake-gtest <!nocheck>, ros-galactic-ament-lint-auto <!nocheck>, ros-galactic-ament-lint-common <!nocheck>, ros-galactic-geometry-msgs, ros-galactic-nav-msgs, ros-galactic-nav2-behavior-tree, ros-galactic-nav2-common, ros-galactic-nav2-core, ros-galactic-nav2-costmap-2d, ros-galactic-nav2-msgs, ros-galactic-nav2-util, ros-galactic-pluginlib, ros-galactic-rclcpp, ros-galactic-rclcpp-action, ros-galactic-rclcpp-lifecycle, ros-galactic-tf2, ros-galactic-tf2-geometry-msgs, ros-galactic-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-galactic-nav2-recoveries
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-galactic-geometry-msgs, ros-galactic-nav-msgs, ros-galactic-nav2-behavior-tree, ros-galactic-nav2-core, ros-galactic-nav2-costmap-2d, ros-galactic-nav2-msgs, ros-galactic-nav2-util, ros-galactic-pluginlib, ros-galactic-rclcpp, ros-galactic-rclcpp-action, ros-galactic-rclcpp-lifecycle, ros-galactic-ros-workspace
Description: TODO
